> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# 動画を作成する（OmniおよびVeo形式）

> このシリーズはOpenAIの動画生成形式をサポートしています（詳細はリンク [動画生成Sora互換形式](/api-reference/ja/video-generation-sora-compatible-format/create-video) を参照してください）。

このAPIトピックページは、Omni と Veo に関連する動画形式、および現在のゲートウェイにおける Veo ネイティブ形式のサポート状況を説明します。

現在、Veo 系列を外部向けに利用する場合は、OpenAI Sora 互換モードを使用してください：`POST /v1/videos`。

Google ネイティブモードのパスは以下のために予約されています：`POST /v1beta/models/{model}:predictLongRunning`。現在のゲートウェイはまだ Veo のネイティブタスク配信経路に接続されていないため、ネイティブ `instances/parameters` のリクエストボディによる呼び出しは現時点ではサポートされていません。

重要：`gemini-omni` モデルでサポートされているエンドポイントは、Sora互換形式 `POST /v1/videos` または Seedance形式 `POST /api/v3/contents/generations/tasks` です。本ページの Google ネイティブ Veo `predictLongRunning` エンドポイントはサポートされていません。



## OpenAPI

````yaml api-reference/ja/openapi.json POST /v1beta/models/{model}:predictLongRunning
openapi: 3.0.0
info:
  title: 出海营 API 参考ドキュメント
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: OpenAI形式(Chat)
  - name: OpenAI形式（Responses）
  - name: 画像生成Gemini形式
  - name: 画像生成OpenAI DALL-E形式
  - name: モデル一覧の取得
  - name: 動画生成HappyHorseとWan
  - name: 動画生成Kling形式
  - name: 動画生成OmniとVeo形式
  - name: Video generation Seedance
  - name: 動画生成Sora対応形式
  - name: Video generation Vidu
  - name: 音楽生成タスクの形式
paths:
  /v1beta/models/{model}:predictLongRunning:
    post:
      tags:
        - 動画生成OmniとVeo形式
      summary: 動画を作成する（OmniおよびVeo形式）
      description: >-
        このシリーズはOpenAIの動画生成形式をサポートしています（詳細はリンク
        [動画生成Sora互換形式](/api-reference/ja/video-generation-sora-compatible-format/create-video)
        を参照してください）。


        このAPIトピックページは、Omni と Veo に関連する動画形式、および現在のゲートウェイにおける Veo
        ネイティブ形式のサポート状況を説明します。


        現在、Veo 系列を外部向けに利用する場合は、OpenAI Sora 互換モードを使用してください：`POST /v1/videos`。


        Google ネイティブモードのパスは以下のために予約されています：`POST
        /v1beta/models/{model}:predictLongRunning`。現在のゲートウェイはまだ Veo
        のネイティブタスク配信経路に接続されていないため、ネイティブ `instances/parameters`
        のリクエストボディによる呼び出しは現時点ではサポートされていません。


        重要：`gemini-omni` モデルでサポートされているエンドポイントは、Sora互換形式 `POST /v1/videos` または
        Seedance形式 `POST /api/v3/contents/generations/tasks` です。本ページの Google
        ネイティブ Veo `predictLongRunning` エンドポイントはサポートされていません。
      operationId: create_veo3_google_native_task
      parameters:
        - name: model
          in: path
          required: true
          schema:
            type: string
            example: veo3.1-fast
            enum:
              - veo3
              - veo3-fast
              - veo3-fast-frames
              - veo3-frames
              - veo3-pro
              - veo3-pro-frames
              - veo3.1
              - veo3.1-4k
              - veo3.1-components
              - veo3.1-fast
              - veo3.1-pro
              - veo3.1-pro-4k
          description: Veo モデル名。
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - instances
              properties:
                instances:
                  type: array
                  minItems: 1
                  items:
                    type: object
                    properties:
                      prompt:
                        type: string
                        example: A cinematic aerial shot of a modern city at sunrise
                        description: プロンプトを生成
                      referenceImages:
                        type: array
                        description: >-
                          省略可能。1〜3枚の参照画像。Googleネイティブの `inlineData`
                          またはファイルURI構造を使用します。
                        items:
                          type: object
                          properties:
                            image:
                              type: object
                              properties:
                                inlineData:
                                  type: object
                                  properties:
                                    mimeType:
                                      type: string
                                      example: image/png
                                    data:
                                      type: string
                                      example: BASE64_IMAGE_DATA
                            referenceType:
                              type: string
                              example: asset
                parameters:
                  type: object
                  properties:
                    aspectRatio:
                      type: string
                      enum:
                        - '16:9'
                        - '1:1'
                        - '9:16'
                      default: '16:9'
                    durationSeconds:
                      type: integer
                      enum:
                        - 5
                        - 6
                        - 8
                        - 10
                      default: 5
                    resolution:
                      type: string
                      example: 720p
            example:
              instances:
                - prompt: A cinematic aerial shot of a modern city at sunrise
                  referenceImages:
                    - image:
                        inlineData:
                          mimeType: image/png
                          data: BASE64_IMAGE_DATA
                      referenceType: asset
              parameters:
                aspectRatio: '16:9'
                durationSeconds: 5
                resolution: 720p
      responses:
        '200':
          description: 予約済みの成功レスポンス構造です。現在はプロトコルの説明用であり、実際の呼び出しはサポートされていません。
          content:
            application/json:
              schema:
                type: object
                required:
                  - name
                properties:
                  name:
                    type: string
                    example: models/veo3.1-fast/operations/abc123
                    description: operation name。後続のステータス照会に使用されます。
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Bearer Token を使用して認証します。
        形式: `Authorization: Bearer sk-xxxxxx`

````